> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# A run's task results



## OpenAPI

````yaml get /api/maintenance/runs/{run_id}/tasks
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/maintenance/runs/{run_id}/tasks:
    get:
      tags:
        - Iceberg maintenance
      summary: A run's task results
      operationId: run_tasks_api_maintenance_runs__run_id__tasks_get
      parameters:
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The maintenance run's id.
            title: Run Id
          description: The maintenance run's id.
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 64
              - type: 'null'
            title: Status
        - name: catalog
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 128
              - type: 'null'
            title: Catalog
        - name: operation
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 64
              - type: 'null'
            title: Operation
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Offset
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 100
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskPage'
        '404':
          description: No such run.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    TaskPage:
      properties:
        items:
          items:
            $ref: '#/components/schemas/TaskOut'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        offset:
          type: integer
          title: Offset
        limit:
          type: integer
          title: Limit
      type: object
      required:
        - items
        - total
        - offset
        - limit
      title: TaskPage
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TaskOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        run_id:
          type: string
          format: uuid
          title: Run Id
        batch_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Batch Id
        registration_id:
          type: string
          format: uuid
          title: Registration Id
        catalog:
          type: string
          title: Catalog
        namespace:
          type: string
          title: Namespace
        table_name:
          type: string
          title: Table Name
        operation:
          type: string
          title: Operation
        policy_version:
          type: string
          title: Policy Version
        status:
          type: string
          title: Status
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
        dry_run:
          type: boolean
          title: Dry Run
          default: false
        priority:
          type: string
          title: Priority
        score:
          type: number
          title: Score
        est_bytes:
          type: integer
          title: Est Bytes
        started_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Started At
        finished_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Finished At
        duration_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration Ms
        before:
          additionalProperties: true
          type: object
          title: Before
        after:
          additionalProperties: true
          type: object
          title: After
        result:
          additionalProperties: true
          type: object
          title: Result
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        engine_app_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Engine App Id
        created_at:
          type: string
          title: Created At
      type: object
      required:
        - id
        - run_id
        - registration_id
        - catalog
        - namespace
        - table_name
        - operation
        - policy_version
        - status
        - priority
        - score
        - est_bytes
        - created_at
      title: TaskOut
      description: One operation on one table in one run.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.